
Foreman - Bug #4703

Rails migration fails on Rails 3.2.8 when setting counter caches on has_many :through relationships

03/19/2014 11:30 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: DB migrations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Seems to be the same bug as this:

 https://github.com/rails/rails/issues/4293

Migration works fine on Rails 3.2.17+.

Associated revisions

Revision 9e0d8a4e - 03/19/2014 02:14 PM - Stephen Benjamin

fixes #4703 - reset_counters doesn't work for has_many :through relationships on rails 3.2.8

History

#1 - 03/19/2014 11:43 AM - Stephen Benjamin

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1309

#2 - 03/20/2014 01:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9e0d8a4e5bb2ce86675980ddd407ae9cd5a49639.

#3 - 03/20/2014 01:39 PM - Dominic Cleal

- translation missing: en.field_release set to 4

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://github.com/rails/rails/issues/4293
https://github.com/theforeman/foreman/pull/1309
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9e0d8a4e5bb2ce86675980ddd407ae9cd5a49639
http://www.tcpdf.org

